// management of ROM data

#ifndef __XATREMU_ROMMGMT__
#define __XATREMU_ROMMGMT__

namespace xatremu
{
class ROMMgmt
{
public:
	ROMMgmt();
	virtual ~ROMMgmt();
	virtual int LoadData(const char* fileName);
	virtual unsigned char * GetDataPtr();
	virtual unsigned long int GetDataLen();

private:
        unsigned long int ROMSize;
        unsigned char * ROMData;
};
}
#endif
